# Interface TargetStateDef

interface TargetStateDef {
options?: TransitionOptions;
params?: RawParams;
state: StateOrName;
}

- Defined in src/router/state/interface.ts:24

##### Index

### Properties

options?
params?
state

## Properties

### `Optional` options

options?: TransitionOptions

- Defined in src/router/state/interface.ts:27

### `Optional` params

params?: RawParams

- Defined in src/router/state/interface.ts:26

### state

state: StateOrName

- Defined in src/router/state/interface.ts:25